Dove inserire il codice per cookies law copiato su Iubenda.com


(Francesco Poliandri) #1

Buonasera mi insegnate dove si trova il tag head per incollare il codice che ho copiato su iubenda.com per il banner per i cookies law?grazie


(Francesco Poliandri) #2

dimenticavo su RapidWear 6


(Mark Sealey) #3

Francesco,

Se vai allo strappo/alla chiave in cima a sinistra, ‘Settings’, la terza parola in giù, nella RapidWeaver Inglese è ‘Code’.

Di questo l’ultimo luogo - sempre in inglese - è ‘Head’.

È qui che poi inserire il codice che voi che si trovi nella sezione ‘Head’ di ogni pagina nel tuo sito.

Se lo vuoi mettere solo in una pagina singola, usa invece l’Inspector - terzo icon > Secondo tab, cioè ‘Header’.


(Francesco Poliandri) #4

grazie ,ho inserito il codice dove tu mi hai detto ma il banner non mi appare, il sito di Iubenda dice :

Per abilitare la iubenda cookie solution è sufficiente inserire codice in tutte le pagine del proprio sito, prima della chiusura del tag HEAD.
qualche soluzione?comunque grazie che mi hai risposto subito ciao


(Mark Sealey) #5

Francesco,

Mi sembra che hai fatto proprio come dicono.

Purtroppo no ho nessun’esperienza con iubenda.

Però sto per finire un sito questa prossima settimana dove voglio mettere un banner rispetto alla legge europea in quanto tratta dei cookies.

Ho usato questo.

Mi dispiace cho non ti posso essere di uso. Auguri!


(Francesco Poliandri) #6

Ciao Mark,scusa se ti disturbo ho contattato Iubenda e mi ha risposto così:

Ho controllato e lo script è implementato nel posto giusto tuttavia mi sono accorto che nel tuo sito è implementata una versione di Jquery (1.4.3) non supportata da iubenda! per fare in modo che il banner funzioni devi aggiornare la versione almeno alla 1.4.4. Online puoi trovare numerose guide su come procedere.

Allora Mark che significa?puoi aiutarmi?grazie


(Mark Sealey) #7

Nessun disturbo, Francesco! Scusi il mio italiano arrugginito!

Adesso tutto è un po’ più chiaro - a spiegabile.

JQuery è un ‘Library’ (coiè un raccolto di scripts nella lingua JavaScript, e che estendono il JavaScript) del quale si deve aver la versione apposta. Di solito questo vuol dire quella più recente. In questo tuo/loro caso appare che si tratta del 1.4.4.

Spesso si fa referenza ad un Library di jQuery esterno invece di implementarlo nel codice proprio di un sito.

Suggerisco che trovi dove il tuo sito ‘chiama’ (in inglese ‘calls’) il Library jQuery. Spesso rimane sul server do Google ecc.

Anch’esso sarà probabilmente nel Head.

E poi cambi la linea di codice si che fa referenza alla versione di jQuery 1.4.4

Questo spiega di piû.

Forse puoi scrivere qua l’URL del tuo sito, per favore? Così vedremmo dove fare i cambiamenti?


(Francesco Poliandri) #8

Ciao Mark il tuo italiano và benissimo molto buono,ma non so come si fa quello che tu mi hai detto comunque il mio sito è www.poliandrifrancesco.it grazie


(Mark Sealey) #9

Grazie, Francesco!

Vedi la linea:

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.3/jquery.min.js" type="text/javascript"></script>

?

L’unica cosa che devi fare (spero!) è cambiarla in:

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript"></script>

‘4’ invece di ‘3’.

Republish e tutto andrà bene, credo :slightly_smiling:

Se per caso, no - torna qua e rivedremo. Auguri!


(Francesco Poliandri) #10

HELP aiuto Help :cry: dove vado su rapidwear per trovare quella linea per cambiarla?mi insegni passo dopo passo?


(Francesco Poliandri) #11

Ciao Mark ci sono riuscito!!!:wink: Penso che cosi vada bene mi puoi controllare sul mio sito online?Comunque grazie ancora sei stato gentilissimo


(Mark Sealey) #12

Francesco,

Adesso al URL, http://www.poliandrifrancesco.it , appare che il codice di cui si tratta è il seguente:

<!-- Google AJAX Libraries - jQuery 1.4.3 -->
<script src="http://www.google.com/jsapi"></script>
<script type="text/javascript">
  google.load("jquery", "1.4.3");
</script>

Le linee numeri 29-33. Vero?

Mi sbaglio, o sono queste diverse da quelle linee di codice che c’erano prima?

Secondo quello che ti hanno scritto iubenda.com, ogni volta che ora c’è 1.4.3 deve essere invece (un riferimento alla) versione più recente, ciòè 1.4.4.

Dove su RapidWeaver 6?

Dunque, riferrendoci alla prima imagine qui, sempre nella ‘Settings’, vai à ‘JavaScript’ (che si trova tra ‘CSS’ e ‘Prefix’). È là che ogni tratto/snippet/sezione di JavaScript deve essere inserito.

Però: siccome sembra (vedi sopra) che le due versioni del JavaScript - quello che ho visto prima, e quello che vedo adesso - siano diverse (forse?), mi risulta un po’ difficile suggerire precisamente che cosa mettere dove.

In esteemis potresti riscrivere a iubenda a chiedergli di darti definitivamente quali linee di codice (rispetto al JQuery) ci vuole in questo ambiente esattamente?


(Francesco Poliandri) #13

Fatto adesso funziona grazie Mark


(Francesco Poliandri) #14

:kissing_heart:grazie


(Mark Sealey) #15

Francesco,

Bravo! Ti puoi figurare :slightly_smiling:.

Mi scuso ancora una volta del mio cattivo italiano scritto: negli 70 ho vissuto quattro anni in Italia… a Verona, per la precisione.

In quei tempi la lingua capivo bene, e la parlavo abbastanza bene.

Ma dopo 40 anni, mi scappa sempre di più saperla scrivere in buon modo :frowning:

A meno che tu mi abbia potuto capire, son contento.

Auguri per le tue avventure nel mondo di RapidWeaver - e Buon Nuovo Anno!